--[[ Move LFG Minimap Status Screen to the top-right of the icon ]]

if not FixR then return end

local DefaultO = {}
local misc = {
  ["desc"] = "Move LFG Minimap Status Screen to the top-right of the icon";
}

local M = FixR:NewModule("MoveLFDTooltip", DefaultO, misc)

function M:ModuleLoadedCallback(name)
  if name == "MinimapSquare" then
    QueueStatusFrame:ClearAllPoints()
    if FixR:IsModuleLoaded("MinimapSquare") and FixR_MinimapSquare_Button then
      QueueStatusFrame:SetParent(FixR_MinimapSquare_Button)
      QueueStatusFrame:SetPoint("BOTTOMLEFT", FixR_MinimapSquare_Button, "TOPRIGHT")
    else
      QueueStatusFrame:SetPoint("BOTTOMLEFT", QueueStatusMinimapButton, "TOPRIGHT")
    end
  end
end

function M:Load()
  --[[
  QueueStatusFrame:ClearAllPoints()
  if FixR_MinimapSquare_Button then
    QueueStatusFrame:SetParent(FixR_MinimapSquare_Button)
    QueueStatusFrame:SetPoint("BOTTOMLEFT", FixR_MinimapSquare_Button, "TOPRIGHT")
  else
    QueueStatusFrame:SetPoint("BOTTOMLEFT", QueueStatusMinimapButton, "TOPRIGHT")
  end
  
  if not FixR:IsModuleLoaded("MinimapSquare") then
    FixR:RegisterModuleLoadedCallback("MinimapSquare", self)
  end
  --]]
  
  QueueStatusFrame:ClearAllPoints()
  if FixR:IsModuleLoaded("MinimapSquare") and FixR_MinimapSquare_Button then
    --MinimapSquare is loaded already
    QueueStatusFrame:SetParent(FixR_MinimapSquare_Button)
    QueueStatusFrame:SetPoint("BOTTOMLEFT", FixR_MinimapSquare_Button, "TOPRIGHT")
  else
    QueueStatusFrame:SetPoint("BOTTOMLEFT", QueueStatusMinimapButton, "TOPRIGHT")
    FixR:RegisterModuleLoadedCallback("MinimapSquare", self)
  end
end

function M:Unload()
  QueueStatusFrame:ClearAllPoints()
  QueueStatusFrame:SetParent(QueueStatusMinimapButton)
  QueueStatusFrame:SetPoint("TOPRIGHT", QueueStatusMinimapButton, "BOTTOMLEFT")
end
--LFGTeleport(bool toSafety);